## org.eclipse.emf.codegen.ecore.genmodel.impl
Class GenBaseImpl.GIFEmitter

    java.lang.Object
      org.eclipse.emf.codegen.ecore.genmodel.impl.GenBaseImpl.GIFEmitter

Enclosing class:
  GenBaseImpl

Deprecated. In EMF 2.2, this moved to `GIFEmitter`. This copy will be removed after 2.2.

    @Deprecated
    protected static class GenBaseImpl.GIFEmitter

extends java.lang.Object

Field Summary
`protected java.lang.String` `inputFile` Deprecated.
`protected static int` `tableOffset1` Deprecated.
`protected static int` `tableOffset2` Deprecated.

Constructor Summary
`GenBaseImpl.GIFEmitter(java.lang.String inputFile)` Deprecated.

Method Summary
`protected int` `code(java.lang.String code)` Deprecated.
`protected byte[]` `generateGIF(java.lang.String key1, java.lang.String key2)` Deprecated.
`protected int` `getContents(byte[] content, java.lang.String gifFile)` Deprecated.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### inputFile

    protected java.lang.String inputFile

  Deprecated.

### tableOffset1

    protected static final int tableOffset1

  Deprecated.
  See Also:
    Constant Field Values

### tableOffset2

    protected static final int tableOffset2

  Deprecated.
  See Also:
    Constant Field Values

Constructor Detail

### GenBaseImpl.GIFEmitter

    public GenBaseImpl.GIFEmitter(java.lang.String inputFile)

  Deprecated.

Method Detail

### code

    protected int code(java.lang.String code)

  Deprecated.

### generateGIF

    protected byte[] generateGIF(java.lang.String key1,
                                 java.lang.String key2)

  Deprecated.

### getContents

    protected int getContents(byte[] content,
                              java.lang.String gifFile)
                       throws JETException,
                              java.io.IOException

  Deprecated.
  Throws:
    `JETException`
    `java.io.IOException`

Copyright 2001-2006 IBM Corporation and others. All Rights Reserved.